Skip to content
Last updated

Refresh Order Source (Import Orders)

To start seeing orders inside of the Sales Order API, you need to trigger an order source refresh. An order source refresh will reach out to the order source, and import and update your sales orders.

API Endpoint

PUT /v-beta/order_sources/:order_source_id/refresh

Example Request

PUT /v-beta/order_sources/__YOUR_ORDER_SOURCE_ID_HERE__/refresh HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json

Example Response

{
  "order_source_id": "__YOUR_ORDER_SOURCE_ID_HERE__",
  "order_source_nickname": "My Shopify account",
  "order_source_code": "shopify",
  "order_source_friendly_name": "Shopify",
  "refresh_info": {
    "status": "preparing_update",
    "last_refresh_attempt": null,
    "refresh_date": "2018-02-10T20:55:46.673Z"
  },
  "active": true
}

Refresh Info Status

The order source refresh can have the following statuses:

StatusDescription
idleOrder source import is idle; but ready
preparing_updateAn order source refresh has been triggered, and is queued up for a refresh
updatingThe order source is actively refreshing
errorThe last refresh ended with an error, you may re-trigger the refresh to clear the error